Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.labels
Class BoxAndWhiskerXYToolTipGenerator

    java.lang.Object
      org.jfree.chart.labels.AbstractXYItemLabelGenerator
          org.jfree.chart.labels.StandardXYToolTipGenerator
              org.jfree.chart.labels.BoxAndWhiskerXYToolTipGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, XYToolTipGenerator, org.jfree.util.PublicCloneable

    public class BoxAndWhiskerXYToolTipGenerator

extends StandardXYToolTipGenerator
implements XYToolTipGenerator, java.lang.Cloneable, java.io.Serializable

An item label generator for plots that use data from a `BoxAndWhiskerXYDataset`.

The tooltip text and item label text are composed using a `MessageFormat` object, that can aggregate some or all of the following string values into a message.

0 | Series Name
1 | X (value or date)
2 | Mean
3 | Median
4 | Minimum
5 | Maximum
6 | Quartile 1
7 | Quartile 3

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_TOOL_TIP_FORMAT` The default tooltip format string.

Constructor Summary
`BoxAndWhiskerXYToolTipGenerator()` Creates a default item label generator.
`BoxAndWhiskerXYToolTipGenerator(java.lang.String toolTipFormat, java.text.DateFormat dateFormat, java.text.NumberFormat numberFormat)` Creates a new item label generator.

Method Summary
`protected java.lang.Object[]` | `createItemArray(XYDataset dataset, int series, int item)` Creates the array of items that can be passed to the `MessageFormat` class for creating labels.
`boolean` | `equals(java.lang.Object obj)` Tests if this object is equal to another.

Methods inherited from class org.jfree.chart.labels.StandardXYToolTipGenerator
`clone, generateToolTip, getTimeSeriesInstance`

Methods inherited from class org.jfree.chart.labels.AbstractXYItemLabelGenerator
`generateLabelString, getFormatString, getXDateFormat, getXFormat, getYDateFormat, getYFormat`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.labels.XYToolTipGenerator
`generateToolTip`

Field Detail

### DEFAULT_TOOL_TIP_FORMAT

    public static final java.lang.String DEFAULT_TOOL_TIP_FORMAT

  The default tooltip format string.

  See Also:
    Constant Field Values

Constructor Detail

### BoxAndWhiskerXYToolTipGenerator

    public BoxAndWhiskerXYToolTipGenerator()

  Creates a default item label generator.

### BoxAndWhiskerXYToolTipGenerator

    public BoxAndWhiskerXYToolTipGenerator(java.lang.String toolTipFormat,
                                           java.text.DateFormat dateFormat,
                                           java.text.NumberFormat numberFormat)

  Creates a new item label generator. If the date formatter is not `null`, the x-values will be formatted as dates.

  Parameters:
    `toolTipFormat` - the tool tip format string (`null` not permitted).
    `numberFormat` - the number formatter (`null` not permitted).
    `dateFormat` - the date formatter (`null` permitted).

Method Detail

### createItemArray

    protected java.lang.Object[] createItemArray(XYDataset dataset,
                                                 int series,
                                                 int item)

  Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

  Overrides:
    `createItemArray` in class `AbstractXYItemLabelGenerator`
  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The items (never `null`).

### equals

    public boolean equals(java.lang.Object obj)

  Tests if this object is equal to another.

  Overrides:
    `equals` in class `StandardXYToolTipGenerator`
  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD